# -*- coding: utf-8 -*-
from odoo import http
from odoo.http import request
from odoo.addons.roke_mes_three_colour_light.controller.main import RokeMesThreeColourLight
import os
import math
from datetime import datetime, time
from jinja2 import Environment, FileSystemLoader
BASE_DIR = os.path.dirname(os.path.dirname(__file__))
templateloader = FileSystemLoader(searchpath=BASE_DIR + "/static")
env = Environment(loader=templateloader)

class ResMesBigScreen(http.Controller):
    @http.route('/roke/tht/expected_process', type='http', auth='public', csrf=False, cors="*")
    def roke_expected_process_module(self, **kwargs):
        template = env.get_template('html/big_screen/view/expected_process.html')
        html = template.render({})
        return html

    @http.route('/roke/tht/cook_process', type='http', auth='public', csrf=False, cors="*")
    def roke_cook_process_module(self, **kwargs):
        template = env.get_template('html/big_screen/view/cook_process.html')
        html = template.render({})
        return html

